<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.5) on Mon Jan 27 13:11:08 CET 2020 -->
<title>C-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-01-27">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="C-Index";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">G</a>&nbsp;<a href="index-6.html">I</a>&nbsp;<a href="index-7.html">M</a>&nbsp;<a href="index-8.html">N</a>&nbsp;<a href="index-9.html">O</a>&nbsp;<a href="index-10.html">P</a>&nbsp;<a href="index-11.html">R</a>&nbsp;<a href="index-12.html">S</a>&nbsp;<a href="index-13.html">T</a>&nbsp;<a href="index-14.html">U</a>&nbsp;<a href="index-15.html">V</a>&nbsp;<a href="index-16.html">W</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a><a id="I:C">
<!--   -->
</a>
<h2 class="title">C</h2>
<dl>
<dt><span class="memberNameLink"><a href="../proxy/GetValue.html#call()">call()</a></span> - Method in class proxy.<a href="../proxy/GetValue.html" title="class in proxy">GetValue</a></dt>
<dd>
<div class="block">Appel synchrone au capteur une fois que le Callable est invoqué par le scheduler.</div>
</dd>
<dt><span class="memberNameLink"><a href="../proxy/Update.html#call()">call()</a></span> - Method in class proxy.<a href="../proxy/Update.html" title="class in proxy">Update</a></dt>
<dd>
<div class="block">Notification synchrone sur l'observer de capteur une fois que le Callable est invoqué par le scheduler.</div>
</dd>
<dt><span class="memberNameLink"><a href="../proxy/Update.html#canal">canal</a></span> - Variable in class proxy.<a href="../proxy/Update.html" title="class in proxy">Update</a></dt>
<dd>
<div class="block">Capteur asynchrone, l'observer pourra obtenir la valeur modifiée.</div>
</dd>
<dt><a href="../proxy/Canal.html" title="class in proxy"><span class="typeNameLink">Canal</span></a> - Class in <a href="../proxy/package-summary.html">proxy</a></dt>
<dd>
<div class="block">Interface d'un canal, qui joue un double rôle du coté synchrone et asynchrone.</div>
</dd>
<dt><span class="memberNameLink"><a href="../proxy/Canal.html#%3Cinit%3E()">Canal()</a></span> - Constructor for class proxy.<a href="../proxy/Canal.html" title="class in proxy">Canal</a></dt>
<dd>
<div class="block">Constructeur d'un canal.</div>
</dd>
<dt><a href="../capteur/package-summary.html">capteur</a> - package capteur</dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../proxy/Canal.html#capteur">capteur</a></span> - Variable in class proxy.<a href="../proxy/Canal.html" title="class in proxy">Canal</a></dt>
<dd>
<div class="block">Capteur qui sera rendu asynchrone par le canal.</div>
</dd>
<dt><span class="memberNameLink"><a href="../proxy/GetValue.html#capteur">capteur</a></span> - Variable in class proxy.<a href="../proxy/GetValue.html" title="class in proxy">GetValue</a></dt>
<dd>
<div class="block">Capteur synchrone pour appeler la valeur.</div>
</dd>
<dt><span class="memberNameLink"><a href="../strategy/DiffusionAtomique.html#capteur">capteur</a></span> - Variable in class strategy.<a href="../strategy/DiffusionAtomique.html" title="class in strategy">DiffusionAtomique</a></dt>
<dd>
<div class="block">Capteur synchrone sur lequel va s'appliquer la diffusion atomique.</div>
</dd>
<dt><span class="memberNameLink"><a href="../strategy/DiffusionEpoque.html#capteur">capteur</a></span> - Variable in class strategy.<a href="../strategy/DiffusionEpoque.html" title="class in strategy">DiffusionEpoque</a></dt>
<dd>
<div class="block">Capteur synchrone sur lequel va s'appliquer la diffusion atomique.</div>
</dd>
<dt><span class="memberNameLink"><a href="../strategy/DiffusionSequentielle.html#capteur">capteur</a></span> - Variable in class strategy.<a href="../strategy/DiffusionSequentielle.html" title="class in strategy">DiffusionSequentielle</a></dt>
<dd>
<div class="block">Capteur synchrone sur lequel va s'appliquer la diffusion atomique.</div>
</dd>
<dt><a href="../capteur/Capteur.html" title="interface in capteur"><span class="typeNameLink">Capteur</span></a> - Interface in <a href="../capteur/package-summary.html">capteur</a></dt>
<dd>
<div class="block">Interface d'un capteur synchrone.</div>
</dd>
<dt><a href="../proxy/interfaces/CapteurAsync.html" title="interface in proxy.interfaces"><span class="typeNameLink">CapteurAsync</span></a> - Interface in <a href="../proxy/interfaces/package-summary.html">proxy.interfaces</a></dt>
<dd>
<div class="block">Interface d'un capteur asynchrone.</div>
</dd>
<dt><a href="../capteur/CapteurImpl.html" title="class in capteur"><span class="typeNameLink">CapteurImpl</span></a> - Class in <a href="../capteur/package-summary.html">capteur</a></dt>
<dd>
<div class="block">Implementation d'un capteur synchrone.</div>
</dd>
<dt><span class="memberNameLink"><a href="../capteur/CapteurImpl.html#%3Cinit%3E()">CapteurImpl()</a></span> - Constructor for class capteur.<a href="../capteur/CapteurImpl.html" title="class in capteur">CapteurImpl</a></dt>
<dd>
<div class="block">Constructeur d'un capteur, la valeur capté au départ est 0.</div>
</dd>
<dt><span class="memberNameLink"><a href="../strategy/DiffusionAtomique.html#configure(capteur.Capteur)">configure(Capteur)</a></span> - Method in class strategy.<a href="../strategy/DiffusionAtomique.html" title="class in strategy">DiffusionAtomique</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../strategy/DiffusionEpoque.html#configure(capteur.Capteur)">configure(Capteur)</a></span> - Method in class strategy.<a href="../strategy/DiffusionEpoque.html" title="class in strategy">DiffusionEpoque</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../strategy/DiffusionSequentielle.html#configure(capteur.Capteur)">configure(Capteur)</a></span> - Method in class strategy.<a href="../strategy/DiffusionSequentielle.html" title="class in strategy">DiffusionSequentielle</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../strategy/interfaces/AlgoDiffusion.html#configure(capteur.Capteur)">configure(Capteur)</a></span> - Method in interface strategy.interfaces.<a href="../strategy/interfaces/AlgoDiffusion.html" title="interface in strategy.interfaces">AlgoDiffusion</a></dt>
<dd>
<div class="block">Configure le capteur lié à la diffusion.</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">G</a>&nbsp;<a href="index-6.html">I</a>&nbsp;<a href="index-7.html">M</a>&nbsp;<a href="index-8.html">N</a>&nbsp;<a href="index-9.html">O</a>&nbsp;<a href="index-10.html">P</a>&nbsp;<a href="index-11.html">R</a>&nbsp;<a href="index-12.html">S</a>&nbsp;<a href="index-13.html">T</a>&nbsp;<a href="index-14.html">U</a>&nbsp;<a href="index-15.html">V</a>&nbsp;<a href="index-16.html">W</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
